Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libsigsegv
#Epoch:		0
Version:	2.9
Release:	1
License:	GNU/GPLv2
URL:		http://www.gnu.org/software/libsigsegv
Group:		Development/Other	
Summary:	library for handling page faults in user mode
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
libsigsegv is a library for handling page faults in user mode. A page fault occurs when a program tries to access to a region of memory that is currently not available. Catching and handling a page fault is a useful technique for implementing:

    pageable virtual memory,
    memory-mapped access to persistent databases,
    generational garbage collectors,
    stack overflow handlers,
    distributed shared memory,
    ...

This library supports three sets of functions, all defined in <sigsegv.h>:

Global SIGSEGV handlers:
    sigsegv_install_handler, sigsegv_deinstall_handler.
Local SIGSEGV handlers (a handler per memory area):
    sigsegv_init, sigsegv_register, sigsegv_unregister, sigsegv_dispatch.
Stack overflow handlers:
    stackoverflow_install_handler, stackoverflow_deinstall_handler.


%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug \
--enable-shared=yes \
--enable-static=no

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libsigsegv.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/sigsegv.h
%{_libdir}/libsigsegv.la
%{_libdir}/libsigsegv.so

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Tue Nov 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.9-1
- initial CCux package release
